org.eclipse.wst.jsdt.chromium.debug.ui.editors

## Class JsSourceViewerConfiguration

- java.lang.Object
- - TextSourceViewerConfiguration
  - - org.eclipse.wst.jsdt.chromium.debug.ui.editors.JsSourceViewerConfiguration

    public class JsSourceViewerConfiguration
    extends TextSourceViewerConfiguration

A JavaScript source viewer configuration.

### Constructor Summary

Constructors
Constructor and Description
`JsSourceViewerConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getConfiguredContentTypes(ISourceViewer sourceViewer)`
`IPresentationReconciler` `getPresentationReconciler(ISourceViewer sourceViewer)`
`ITextHover` `getTextHover(ISourceViewer sourceViewer, java.lang.String contentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsSourceViewerConfiguration

    public JsSourceViewerConfiguration()

### Method Detail

#### getTextHover

    public ITextHover getTextHover(ISourceViewer sourceViewer,
                                   java.lang.String contentType)

#### getPresentationReconciler

    public IPresentationReconciler getPresentationReconciler(ISourceViewer sourceViewer)

#### getConfiguredContentTypes

    public java.lang.String[] getConfiguredContentTypes(ISourceViewer sourceViewer)